唯嘉利亚云安全 提供服务器维护、网站开发,网站安全运维,安全托管等服务!

GNU C Library 缓冲区错误漏洞


文章来源:唯嘉利亚云安全   发布时间: 2019-09-18  已有 19 人 阅读

漏洞信息详情

GNU C Library 缓冲区错误漏洞

漏洞简介

GNU C Library(glibc,libc6)是一种按照LGPL许可协议发布的开源免费的C语言编译程序。

GNU C Library中的nptl存在缓冲区错误漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。

漏洞公告

目前厂商暂未发布修复措施解决此安全问题,建议使用此软件的用户随时关注厂商主页或参考网址以获取解决办法:

https://www.gnu.org/s/libc/

参考网址

来源:sourceware.org

链接:https://sourceware.org/bugzilla/show_bug.cgi?id=22850

来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-1010022

受影响实体

    暂无

补丁

    暂无


【版权声明】:除非注明,唯嘉利亚云安全文章均为原创,转载请以链接形式标明本文标题和地址
原文标题:GNU C Library 缓冲区错误漏洞
原文地址:https://www.vgaliya.com/cve-9520.html


文章标签: